class Kugel {

  protected PVector position;
  protected PVector geschwindigkeit;
  protected float radius;
  protected color farbe;

  Kugel(PVector p, float r, PVector v, color f) {
    position = p;
    geschwindigkeit = v;
    radius = r;
    farbe = f;
  }

  void aktualiseren() { 
    position = position.add(geschwindigkeit);
    geschwindigkeit.x *= 0.995;//99,5% der Geschwindigkeit bleiben nach Aktualisierung
    geschwindigkeit.y *= 0.995;//So wird hier Reibung simuliert
  }
  
  void pruefeKollisionRand() {
   if (position.y >= height-radius) {
      position.y = height-radius;
      geschwindigkeit.y *= -1;
    } 
  }

  void display() {  
    noStroke();
    fill(farbe);
    ellipse(position.x, position.y, radius*2, radius*2); 
  }
}